Package org.apache.tomcat.util.net

## Class ContainerThreadMarker

- java.lang.Object
- - org.apache.tomcat.util.net.ContainerThreadMarker

    @Deprecated
    public class ContainerThreadMarker
    extends java.lang.Object

Deprecated.
Unused. Will be removed in Tomcat 10.1.x
Used to mark threads that have been allocated by the container to process data from an incoming connection. Application created threads are not container threads and neither are threads taken from the container thread pool to execute AsyncContext.start(Runnable).

### Constructor Summary

Constructors
`ContainerThreadMarker()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `clear()` Deprecated.
`static boolean` `isContainerThread()` Deprecated.
`static void` `set()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerThreadMarker

    public ContainerThreadMarker()

Deprecated.

### Method Detail

#### isContainerThread

    public static boolean isContainerThread()

Deprecated.

#### set

    public static void set()

Deprecated.

#### clear

    public static void clear()

Deprecated.